-- DT Sell Junk and repair Use Gbank first
local function OnEvent(self, event)
	totalPrice = 0	
	for myBags = 0,4 do
		for bagSlots = 1, GetContainerNumSlots(myBags) do
			CurrentItemLink = GetContainerItemLink(myBags, bagSlots)
			if CurrentItemLink then
				_, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(CurrentItemLink)
				_, itemCount = GetContainerItemInfo(myBags, bagSlots)
				if itemRarity == 0 and itemSellPrice ~= 0 then
					totalPrice = totalPrice + (itemSellPrice * itemCount)
					UseContainerItem(myBags, bagSlots)
					PickupMerchantItem()
				end
			end
		end
	end
	if totalPrice ~= 0 then
		DEFAULT_CHAT_FRAME:AddMessage("DTLite Total Junk Sold: "..GetCoinTextureString(totalPrice), 255, 255, 255)
	end

	if (CanMerchantRepair()) then	
		repairAllCost, canRepair = GetRepairAllCost();
		if (canRepair and repairAllCost > 0) then
			guildRepairedItems = false
			if (IsInGuild() and CanGuildBankRepair()) then
				local amount = GetGuildBankWithdrawMoney()
				local guildBankMoney = GetGuildBankMoney()
				amount = amount == -1 and guildBankMoney or min(amount, guildBankMoney)

				if (amount >= repairAllCost) then
					RepairAllItems(true);
					guildRepairedItems = true
					DEFAULT_CHAT_FRAME:AddMessage("DTLite Auto-Repaired with Guild Funds: "..GetCoinTextureString(repairAllCost), 255, 255, 255)
				end
			end
			
			if (repairAllCost <= GetMoney() and not guildRepairedItems) then
				RepairAllItems(false);
				DEFAULT_CHAT_FRAME:AddMessage("DTLite Auto-Repaired with Personal Funds: "..GetCoinTextureString(repairAllCost), 255, 255, 255)
			end
		end
	end
end

local f = CreateFrame("Frame")
f:SetScript("OnEvent", OnEvent);
f:RegisterEvent("MERCHANT_SHOW");
--EOF
