-- DT ToTtip
--[[ Add Target info to Default tool tip Orginal code from http://www.curse.com/addons/wow/targetoftarget-tooltip ]]--
 local targetting = "" TARGET_PREFIX = TARGET..":|cffffffff "; DT_ToT_tip = {}
 GameTooltip:HookScript("OnUpdate", function(self, ...)
  DT_ToT_tip:AddTargetToTT()
 end)

 function DT_ToT_tip:AddTargetToTT()
 --[[ Exit if other tooltip mod is loaded ]]--
  if IsAddOnLoaded("DefaultTooltip") then return end
  if IsAddOnLoaded("FixehTip") then return end
  if IsAddOnLoaded("PhanxTooltip") then return end
  if IsAddOnLoaded("TipTac") then return end
  if IsAddOnLoaded("TargetofTargetTooltip") then return end
  if IsAddOnLoaded("TinyTooltip") then return end
  if ( not UnitExists('mouseovertarget')) then return end
  local targetLine useExisting = false
  for i = 2, GameTooltip:NumLines() do
   targetLine = _G["GameTooltipTextLeft"..i];
   if (targetLine:GetText():find(TARGET)) then useExisting = true
      break;
   end
  end
  targetting = UnitName("mouseovertarget")
  if targetting == UnitName("player") then targetting = "<YOU>" end
  if (targetting ~= nil and targetting ~= "") then
     if useExisting then
        targetLine:SetText(string.format("%s %s |r", TARGET_PREFIX, targetting ) )
     else
        GameTooltip:AddLine( string.format("%s %s |r", TARGET_PREFIX, targetting ) )
     end
     GameTooltip:Show()
  end
 end
--EOF
