-- DT CastBar Timer
   CastingBarFrame.timer = CastingBarFrame:CreateFontString(nil);
   CastingBarFrame.timer:SetFont(STANDARD_TEXT_FONT,12,"OUTLINE");
   -- Place Timer on Top of casting bar "CastingBarFrame.timer:SetPoint("BOTTOM", CastingBarFrame, "TOP", 0, 8);"
   -- Place Timer on Bottom of casting bar "CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "BOTTOM", 0, -2);"
   -- Default Casting -- Place Timer in casting bar on right side "CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "TOPRIGHT", -18, 2);"
   -- Default Channeling -- CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "TOPRIGHT", -18, 2);
   CastingBarFrame.update = .1;

   CastingBarFrame:HookScript("OnUpdate", function(self, elapsed)
    if not self.timer then return end
    if self.update and self.update < elapsed then
       if self.casting then
          CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "BOTTOM", 1, -2);
          self.timer:SetText(format("%2.1f/%1.1f", max(self.maxValue - self.value, 0), self.maxValue))
       elseif self.channeling then
          CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "TOPRIGHT", -18, 2);
          self.timer:SetText(format("%.1f", max(self.value, 0)))
       else
          self.timer:SetText("")
       end
       self.update = .1
    else
       self.update = self.update - elapsed
    end
   end)

-- Auto select Player from drop down on in game addon list
if AddonCharacterDropDown and AddonCharacterDropDown.selectedValue then
    AddonCharacterDropDown.selectedValue = UnitName("player");
    AddonCharacterDropDownText:SetText(UnitName("player"))
end
--EOF
